Get Benefit Verification Route
curl --request GET \
--url https://api.develophealth.ai/benefit-verification/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.develophealth.ai/benefit-verification/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.develophealth.ai/benefit-verification/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "bv_dj3wiu",
"object": "benefit_verification",
"status": "completed",
"current_processing_mode": "standard",
"status_description": "The verification was successful",
"review_status": "not_reviewed",
"drugs": [
{
"name": "Wegovy",
"dosage": "0.25 mg",
"quantity": 1,
"coverage": "covered",
"coverage_detail_code": "insurer_reported_value",
"prior_authorization_required": "yes",
"copay": "$30 for 28 days supply",
"copay_options": [
{
"amount_cents": 3000,
"supply_duration_days": 28
}
],
"determination_details": {
"is_on_formulary": true
}
},
{
"name": "Ozempic",
"dosage": "2.68 mg",
"quantity": 1,
"coverage": "covered",
"coverage_detail_code": "insurer_reported_value",
"prior_authorization_required": "yes",
"copay": "$30 for 28 days supply",
"copay_options": [
{
"amount_cents": 3000,
"supply_duration_days": 28
}
],
"determination_details": {
"is_on_formulary": true
}
},
{
"name": "Mounjaro",
"dosage": "2.5 mg",
"quantity": 1,
"coverage": "covered",
"coverage_detail_code": "insurer_reported_value",
"prior_authorization_required": "yes",
"copay": "$30 for 28 days supply",
"copay_options": [
{
"amount_cents": 3000,
"supply_duration_days": 28
}
],
"determination_details": {
"is_on_formulary": true
}
}
],
"drug_history": {
"currently_taking_drugs": [
{
"name": "Metformin"
}
],
"previously_taken_drugs": [
{
"name": "Jardiance"
},
{
"name": "Rybelsus"
}
]
},
"diagnoses": [
{
"code": "E66.9"
},
{
"code": "I10"
}
],
"patient": {
"internal_id": "39dca4a2-8788-4fd6-9e31-15c56e454322",
"first_name": "John",
"last_name": "Smith",
"gender": "male",
"date_of_birth": "1980-01-01",
"address": {
"street": "123 Main St, Apt 1",
"city": "Los Angeles",
"state_province": "CA",
"zip_postal_code": "94001",
"country": "USA"
},
"phone": "555-555-5555"
},
"provider": {
"first_name": "Jane",
"last_name": "Green",
"address": {
"street": "9071 E. Mississippi Ave",
"city": "Denver",
"state_province": "CO",
"zip_postal_code": "80247",
"country": "USA"
},
"phone": "1231231234",
"fax": "None",
"npi": "0000000000",
"in_network_payers": []
},
"entity": {
"legal_name": "Test Entity",
"tax_id": "111223333"
},
"insurance": [
{
"scanned_content": {
"client_name": "Company",
"group_number": "12345678",
"member_name": "John Smith",
"member_number": "12345678",
"payer_name": "United",
"plan_name": "Plus Plan",
"rx_bin": "123456",
"rx_group": "ADV",
"rx_pcn": "FAC"
},
"discrete_content": {},
"url": "https://example.com/insurance_doc"
},
{
"scanned_content": {
"error": "Unable to extract information from card"
},
"discrete_content": {},
"url": "https://example.com/insurance_doc2"
}
],
"patient_coverage_status": "covered",
"verification_methods": [
{
"id": "bva_23j3234",
"type": "ai_call",
"transcript": "Call transcript",
"recording_url": "https://example.com/recording"
}
],
"patient_plan_fund_source": "question_not_asked",
"patient_coverage_type": "question_not_asked",
"priority": 2
}
}{
"status": "error",
"error": {
"title": "API Access Not Enabled",
"description": "Programmatic API access is not enabled for this organization.",
"code": "api_access_not_enabled"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": "error",
"error": {
"title": "Rate Limit Exceeded",
"description": "The request exceeds the organization's configured API rate limit. Retry after the duration specified by Retry-After.",
"code": "rate_limit_exceeded"
}
}{
"status": "error",
"error": {
"title": "Service Unavailable",
"description": "The service is temporarily unavailable. Retry the request shortly.",
"code": "service_unavailable"
}
}Benefit Verification
Retrieve Benefit Verification
GET
/
benefit-verification
/
{id}
Get Benefit Verification Route
Retrieve details of a specific benefit verification request.
Response handling
Usedata.status to determine whether verification is still running, completed,
failed, or cancelled. See
Benefit Verification Response Handling
for the lifecycle, workflow error codes, retrieve errors, and recommended caller
behavior.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successfully returned a benefit verification
Represents the response structure for a benefit verification query in a healthcare context.
This class extends the generic ApiResponse, specifically tailored to handle responses related to benefit verifications. It primarily includes the data attribute, which holds detailed information about the benefit verification process and its results.